- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- x
- z
- ~

### - r -

- read() : Reader, InputStreamReader, InputStream, FileInputStream, ByteArrayInputStream
- Reader() : Reader
- receive() : DatagramSocket
- recycle() : ThreadSpecificData
- refresh_stream_state() : ulogstream, wlogstream, logstream, logstream_base
- registerClass() : Object, Class
- registryGet() : PropertyConfigurator
- registryPut() : PropertyConfigurator
- RelativeTimeDateFormat() : RelativeTimeDateFormat
- RelativeTimePatternConverter() : RelativeTimePatternConverter
- releaseRef() : DOMConfigurator, FallbackErrorHandler, Filter, DefaultRepositorySelector, TriggeringPolicy, TimeBasedRollingPolicy, RollingPolicyBase, PropertyConfigurator, Logger, Layout, Hierarchy, OnlyOnceErrorHandler, ObjectImpl, Object, AppenderAttachableImpl, AsyncAppender, AppenderSkeleton
- remaining() : ByteBuffer
- remove() : NDC, MDC
- removeAllAppenders() : AppenderAttachable, Logger, AppenderAttachableImpl, AsyncAppender
- removeAppender() : AppenderAttachable, Logger, AppenderAttachableImpl, AsyncAppender
- removeAppenderEvent() : HierarchyEventListener
- renameTo() : File
- reportException() : Action
- requiresLayout() : WriterAppender, OutputDebugStringAppender, NTEventLogAppender, TelnetAppender, SyslogAppender, SocketHubAppender, SocketAppenderSkeleton, SMTPAppender, ODBCAppender, AsyncAppender, Appender
- reset() : CharsetEncoder
- resetConfiguration() : LoggerRepository, LogManager, Hierarchy, BasicConfigurator
- resize() : CyclicBuffer
- RollingFileAppender() : RollingFileAppender
- RollingFileAppenderSkeleton() : RollingFileAppenderSkeleton
- RollingPolicyBase() : RollingPolicyBase
- rollover() : TimeBasedRollingPolicy, RollingPolicy, RollingFileAppenderSkeleton, FixedWindowRollingPolicy
- RolloverDescription() : RolloverDescription
- RootLogger() : RootLogger
- run() : Action, Thread
- RuntimeException() : RuntimeException